<div id="contact" v-cloak>
  <div class="container-fluid pt-5 pb-5">
    <h1 class="text-center">Contactanos</h1>
    <div style="max-width:  650px;" class="mx-auto" v-if="!cloudSuccess">
      <p class="text-center">¿Tiene una pregunta para nosotros? ¿Tal vez alguna retroalimentación? Nos encanta hablar con los usuarios sobre Nutribase, y estamos encantados de responder preguntas sobre nuestros precios, hoja de ruta o soluciones empresariales. Envíenos una nota y nos pondremos en contacto con usted tan pronto como sea posible.</p>
      <hr/>
      <ajax-form action="deliverContactFormMessage" :form-errors.sync="formErrors" :form-data="formData" :form-rules="formRules" :syncing.sync="syncing" :cloud-error.sync="cloudError" @submitted="submittedForm()">
        <div class="form-group">
          <label for="full-name">Nombre</label>
          <input class="form-control" id="full-name" name="full-name" type="text"  :class="[formErrors.fullName ? 'is-invalid' : '']" v-model.trim="formData.fullName" placeholder="Sturgis P. Sturgeon" autocomplete="name" focus-first>
          <div class="invalid-feedback" v-if="formErrors.fullName">Por favor, háganos saber cómo llamarlo.</div>
        </div>
        <div class="form-group">
          <label for="email-address">Dirección de correo electrónico</label>
          <input class="form-control" id="email-address" name="email-address" type="email"  :class="[formErrors.emailAddress ? 'is-invalid' : '']" v-model.trim="formData.emailAddress" placeholder="sturgeon@example.com" autocomplete="email">
          <div class="invalid-feedback" v-if="formErrors.emailAddress">Por favor, introduzca una dirección de correo electrónico válida.</div>
        </div>
        <div class="form-group">
          <label for="topic">Tema</label>
          <input class="form-control" id="topic" name="topic" type="text"  :class="[formErrors.topic ? 'is-invalid' : '']" v-model.trim="formData.topic" placeholder="Pricing question" autocomplete="none">
          <div class="invalid-feedback" v-if="formErrors.topic">Por favor, elija un tema para su mensaje.</div>
        </div>
        <div class="form-group">
          <label for="message">Mensaje</label>
          <textarea class="form-control" id="message" name="message" :class="[formErrors.message ? 'is-invalid' : '']" v-model.trim="formData.message" placeholder="What is the difference between the &quot;Individual&quot; plan and the &quot;Professional&quot; plan?" autocomplete="none"></textarea>
          <div class="invalid-feedback" v-if="formErrors.message">El mensaje no puede estar vacío.</div>
        </div>
        <cloud-error v-if="cloudError"></cloud-error>
        <div class="form-group">
          <ajax-button type="submit" :syncing="syncing" class="btn btn-dark btn-lg btn-block">Enviar mensaje</ajax-button>
        </div>
      </ajax-form>
    </div>
    <div style="max-width: 450px;" class="mx-auto text-center" v-else>
      <p class="text-center">¡Gracias por la ayuda!</p>
      <hr/>
      <p>Hemos recibido su mensaje, y alguien de nuestro equipo se pondrá en contacto con usted pronto.</p>
    </div>
  </div>
</div>
<%- /* Expose locals as `window.SAILS_LOCALS` :: */ exposeLocalsToBrowser() %>
